<template>
  <footer class="appFooter">
    <div class="container __fluid">
      <section class="footerTop">
        <div
          v-for="(item, index0) in listFooterNavigation"
          :key="`footer_nav${index0}`"
          class="footerTop-item"
          :class="footerTopClass(item.title)">
          <FooterNavigation
            :title="item.title"
            :list="item.list"/>
          <div
            v-if="index0 === (listFooterNavigation.length - 1)"
            class="footerTop-scl">
            <img
              src="~/assets/svg/redesign/logo-footer.svg"
              alt="">
            <div class="sclContacts">
              <a
                target="_blank"
                :href="`https://vk.com/${$config.socials.vk}`"
                class="sclContacts-item _vk">
                <img
                  svg-inline
                  src="~/assets/svg/redesign/footer-social-vk.svg">
              </a>
              <a
                target="_blank"
                :href="`https://ok.ru/${$config.socials.ok}`"
                class="sclContacts-item _ok">
                <img
                  svg-inline
                  src="~/assets/svg/redesign/footer-social-ok.svg">
              </a>
              <a
                target="_blank"
                :href="`https://www.instagram.com/${$config.socials.instagram}`"
                class="sclContacts-item _inst">
                <img
                  svg-inline
                  src="~/assets/svg/redesign/footer-social-inst.svg">
              </a>
              <a
                target="_blank"
                :href="`tg://resolve?domain=${$config.socials.telegram}`"
                rel="nofollow"
                class="sclContacts-item _telegram">
                <img
                  svg-inline
                  src="~/assets/svg/redesign/footer-social-telegram.svg">
              </a>
            </div>
          </div>
        </div>
      </section>

      <section class="footerBottom">
        <div
          v-for="(item, index1) in listFooterLinks"
          :key="`footer_link${index1}`"
          class="footerBottom-item">
          <template v-if="item.href">
            <flink
              :domain="item.domain"
              :href="item.href"
              class="footerBottom-link">
              {{ item.title }}
            </flink>
          </template>
          <template v-else>
            {{ item.title }}
          </template>
        </div>
      </section>

      <no-ssr>
        <ScrollTop/>
      </no-ssr>
    </div>
  </footer>
</template>

<script>
import FooterNavigation from '~/components/redesign/layout/footer/footer-navigation';
import ScrollTop from '~/components/blocks/scroll-top';

import {
  listFooterNavigation,
  listFooterLinks,
} from '~/assets/js/redesign/footer-links';

export default {
  name: 'Footer',
  components: {
    FooterNavigation,
    ScrollTop,
  },
  data() {
    return {
      listFooterNavigation,
      listFooterLinks,
    };
  },
  methods: {
    footerTopClass(title) {
      return {
        '_width-small': title === 'Услуги',
        '_width-medium': title === 'Каталоги',
      };
    },
  },
};
</script>

<style lang="postcss">
  .appFooter {
    display: block;
    color: var(--footer-color);
    background-color: var(--footer-bg);

    .footerTop {
      display: flex;
      align-items: flex-start;
      padding: 2rem 1.25rem;
      @media only screen and ( max-width: 1366px ) {
        padding: 2rem 0;
      }

      &-item {
        display: block;
        flex-shrink: 0;
        margin-right: 2.75rem;
        width: 17.65rem;
        @media only screen and ( max-width: 1366px ) {
          width: 13.75rem;
        }

        &:last-of-type {
          display: flex;
          align-items: flex-start;
          flex-shrink: 1;
          margin-right: 0;
          width: 100%;
        }
      }

      &-scl {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        margin-left: auto;
        padding-left: 1rem;
      }
    }

    .sclContacts {
      display: flex;
      padding-top: 1.75rem;
      margin: 0 -0.4375rem;

      &-item {
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 0 0.4375rem;
        border-radius: 50%;
        + .sclContacts-item {
          margin-left: 0.4375rem;
        }
      }
    }

    .scrollTop {
      z-index: calc(var(--z-index-under-modal) - 1);
    }

    .footerBottom {
      display: flex;
      align-items: flex-start;
      padding: 1.25rem 1.25rem 2.25rem 1.25rem;
      border-top: 1px solid var(--border-color-dark);

      &-item {
        display: block;
        width: 17.65rem;
        margin-right: 3rem;
        font-size: 0.75rem;
        line-height: 1.2;
        color: var(--footer-color-light);

        &:last-of-type {
          margin-left: auto;
          margin-right: 0;
        }
      }

      &-link {
        display: block;
        font: inherit;
        color: inherit;
        text-decoration: none;

        &:hover {
          color: var(--footer-hover-color-light);
        }

        &:active, &:focus {
          color: var(--footer-active-color-light);
        }
      }
    }

    @media screen and (min-width: 981px) {
      .footerTop-item._width-small {
        width: 6.25rem;
      }

      .footerTop-item._width-medium {
        width: 11.25rem;
      }

      .sclContacts-item {
        width: 2rem;
        height: 2rem;
        background-color: var(--bg-darkten);
        transition: background-color 0.1s var(--transition-easeOutQuad);
        .svg {
          width: initial;
          height: initial;
          fill: var(--footer-bg);
          transition: fill 0.1s var(--transition-easeOutQuad);
        }
        &:hover, &:active, &:focus {
          &._vk {
            background-color: #547FB5;
          }

          &._ok {
            background-color: #F59331;
          }

          &._inst {
            background-image:
              radial-gradient(55px at 100% 0%, #A33DCF 0%, #B22E94 20%, #E13967 45%,
              #F6762D 60%, #FFAA45 75.01%, #FFCE6B 100%);
          }

          &._telegram {
            background-color: #2BA2DF;
          }

          .svg {
            fill: var(--bg-main);
          }
        }
      }
    }

    @media screen and (min-width: 1201px) and (max-width: 1365px) {
      .footerTop-item {
        width: 21vw;
      }
    }
    @media screen and (max-width: 1200px) and (min-width: 981px) {
      .footerTop {
        &-item {
          margin-right: calc(3rem + (5.5 - 3) * ((100vw - 76rem) / (75 - 61)));
          width: 13.5rem;

          &:last-of-type {
            flex-direction: column;
          }
        }

        &-scl {
          align-items: flex-start;
          margin-left: 0;
          margin-top: 1.5rem;
          padding-left: 0;
        }
      }

      .footerBottom {
        &-item {
          width: 13.5rem;

          &:last-of-type {
            margin-left: 0;
          }
        }
      }
    }

    @media screen and (max-width: 980px) {
      background-color: var(--footer-mobile-bg);

      .container {
        padding-left: 0;
        padding-right: 0;
      }

      .footerTop {
        flex-direction: column;
        padding: 0;

        &-item {
          width: 100%;

          &:last-of-type {
            flex-direction: column;
          }
        }

        &-scl {
          flex-direction: column-reverse;
          align-items: flex-start;
          padding: 1.5rem 1.5rem .75rem;
          width: 100%;
        }

        .accordion {
          &-panel {
            &.-opened {
              background-color: var(--footer-bg);

              .accordion-title > .svg {
                fill: var(--bg-main);
              }
            }
          }
        }
      }

      .footerBottom {
        flex-direction: column;
        padding-bottom: 1.5rem;
        height: auto;
        border-top: none;

        &-item {
          padding-bottom: 0.75rem;
          width: auto;
          font-size: 0.625rem;

          &:last-of-type {
            margin-left: 0;
          }
        }
      }

      .sclContacts {
        padding-top: 0;
        padding-bottom: 4rem;
        margin: 0 -0.625rem;
        width: 100%;
        &-item {
          width: 3.5rem;
          height: 3.5rem;

          &._vk {
            background-color: #547FB5;
          }

          &._ok {
            background-color: #F59331;
          }

          &._inst {
            background-image:
              radial-gradient(78px at 100% 0%, #A33DCF 0%, #B22E94 25%,  #E13967 52%,
              #F6762D 67%, #FFAA45 80%, #FFCE6B 100%);
          }

          &._telegram {
            background-color: #2BA2DF;
          }

          &:last-of-type {
            flex-direction: column;
          }

          + .sclContacts-item {
            margin-left: 1.5vw;
          }

          .svg {
            width: auto;
            height: auto;
            fill: var(--bg-main);
            transform: scale(1.75);
          }
        }
      }
    }
  }
</style>
